=== debian/changelog ===
zfsutils (8.3~svn226546-6) unstable; urgency=low

  * Require zfs-modules in zfsutils-udeb, but only versions that provide
    ZFS v28 or later.
  * Add daily cron job for automated snapshots using a variation of
    Hanoi algorithm.

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 21:05:41 +0100

zfsutils (8.3~svn226546-5) unstable; urgency=low

  * zfsutils.zfs.init:
    - Unmount by mountpoint, not by name.
    - Allow "zfs mount -a" to fail (this is quite common, e.g. when / is
      not in legacy mode).
  * Fix the dependencies of zfsutils-udeb (it should depend on udeb
    packages only).

 -- Robert Millan <rmh@debian.org>  Fri, 18 Nov 2011 18:36:35 +0100

zfsutils (8.3~svn226546-4) unstable; urgency=low

  * fix_realpath_abuse.diff: Fix "cannot open /dev/dsk" problem.  See
    PR misc/162519 for details.

 -- Robert Millan <rmh@debian.org>  Sun, 13 Nov 2011 15:55:27 +0100

zfsutils (8.3~svn226546-3) unstable; urgency=low

  * Do not attempt to unmount /, as this always fails.
  * Set Breaks on kernel versions with pre-v28 ZFS.  (Closes: #648498)

 -- Robert Millan <rmh@debian.org>  Sun, 13 Nov 2011 01:21:46 +0100

zfsutils (8.3~svn226546-2) unstable; urgency=low

  [ Robert Millan ]
  * Add Arno Töll to Uploaders and set Dm-Upload-Allowed accordingly.
  * Add crontab file to run a monthly scrub of all pools.  Stolen from
    mdadm (thanks martin f. krafft).

  [ Arni Töll ]
  * Drop all -dev packages. The libraries we are providing should never have
    been provided by the zfsutils source package as they randomly break upon
    upgrades as upstream does not provide any version information along the
    exported symbols.
  * Improve several package descriptions (e.g. remove redundancies)
  * Rename XC-Package-Type control field to Package-Type. That's supported as of
    dpkg-dev 1.15.7,

 -- Robert Millan <rmh@debian.org>  Sat, 12 Nov 2011 01:42:01 +0100

zfsutils (8.3~svn226546-1) experimental; urgency=low

  [ Arno Töll ]
  [ Robert Millan ]
  * New upstream snapshot, based on the FreeBSD 8-STABLE tree which supports
    ZFS version 28 now.
  * Refresh patches, leave hunks unchanged where possible. Additionally:
    + 04_stdint.diff: Extend inclusion of stdint.h to several new files
    + 05_makefile.diff: Split into gratuitous_dependencies.diff (which is
      upstream-mergeable) and makefile.diff (which is Debian-specific)
    + Remove 10_zpool_import.diff entirely (see kern/150207)
    + Add 15_pthread_compat.diff: Work around compatibility issues with eglibc
    + Remove 15_ztest.fix entirely
    + 16-wrap-cdefs.diff: Work around the unavailability of cdefs.h
  * debian/rules:
    + Rework get-orig-source target, add new origin paths where needed.
  * Remove the zfs volinit/volfini commands from the init script as they are
    not available anymore; also stop on runlevel 1.
  * Fix manpage hyphens and convert into spaces.
  * Improve package descriptions.
  * Add Breaks on GRUB versions that don't support ZFS v28.  Also improve
    documentation of this issue in 14_bootloader_advice.diff.
  * Link libmd statically untill a proper libmd package is available.
  * Soname bump.  (Closes: #645305)

 -- Robert Millan <rmh@debian.org>  Fri, 28 Oct 2011 01:41:03 +0200

zfsutils (8.2-4) unstable; urgency=high

  * Bring back mount/unmount routines in init script. See #637020 and
    #637086 for details.

 -- Robert Millan <rmh@debian.org>  Mon, 08 Aug 2011 13:40:08 +0000

zfsutils (8.2-3) unstable; urgency=low

  * Set "X-Start-Before: checkroot" so that boot doesn't break when
    fstab relies on ZFS volumes.  (Closes: #635627)
  * Do not mount/unmount filesystems! This may result in unbootable
    system if their mountpoints collide (typical in a dual-boot
    machine). Use /etc/fstab instead.
  * Set "X-Stop-After: umountfs" to ensure ZVOLs are no longer in use
    when "zfs volfini" is called.
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Wed, 27 Jul 2011 21:08:42 +0200
